if lca==nil then lca={} end
lca.dispenser2={}
lca.dispenser2.disp={}


lca.dispenser2.sfx_place=loadsfx("throw.ogg")
lca.dispenser2.sfx_bounce=loadsfx("bounce.wav")
lca.dispenser2.gfx_wpn=loadgfx("buildings/HP_dispenser_by_Nem.png")
setmidhandle(lca.dispenser2.gfx_wpn)

lca.dispenser2.id=addweapon("lca.dispenser2","Health Dispenser",lca.dispenser2.gfx_wpn,0,2)

function lca.dispenser2.draw()
	if weapon_shots==0 then
		hudpositioning(pos_build,lca.dispenser2.gfx_wpn,30,1,1,1)
		hudinfo("Place the dispenser2 and wait for new items.")
	end
end

function lca.dispenser2.attack(attack)
	if (weapon_shots<=0) and (weapon_position==1) then
		useweapon(0)
		playsound(lca.dispenser2.sfx_place)
		weapon_shots=weapon_shots+1
		createobject(lca.dispenser2.disp.id,weapon_x,weapon_y)
	endturn()
	end
end

lca.dispenser2.disp.id=addobject("lca.dispenser2.disp",lca.dispenser2.gfx_wpn)

function lca.dispenser2.disp.setup(id,parameter)
	CRATE_Timer=0
	if objects==nil then objects={} end
	objects[id]={}
	objects[id].sy=0
	objects[id].health=50
end

function lca.dispenser2.disp.draw(id,x,y)
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	setscale(1,1)
	setrotation(0)
	drawimage(lca.dispenser2.gfx_wpn,x,y)
end

function lca.dispenser2.disp.update(id,x,y)
	objects[id].sy=objects[id].sy+getgravity()
	msubt=math.ceil(math.abs(objects[id].sy)/15)
	msuby=objects[id].sy/msubt
	for i=1,msubt,1 do
		y=y+msuby
		if collision(lca.dispenser2.gfx_wpn,x,y,1,1,1,-1,id)==1 then
			if (math.abs(objects[id].sy)>0.5) then playsound(lca.dispenser2.sfx_bounce) end
			y=y-msuby
			objects[id].sy=-objects[id].sy*0.3
			msuby=-msuby*0.3
		end
		if y>getwatery()+5 then
			particle(p_waterhit,x,y)
			playsound(sfx_hitwater1)
			removeobject(id)
			return
		end
	end
	objectposition(id,x,y)
	--Spawning Crates
	if CRATE_Timer==0 then
	createobject(o_medikit,x,y-20)
	CRATE_Timer=3000
	elseif CRATE_Timer>=0 then
	CRATE_Timer=CRATE_Timer-1
	end
end

function lca.dispenser2.disp.damage(id,damage)
	if objects[id].health>0 then
		objects[id].health=objects[id].health-damage
		if objects[id].health<=0 then
			local x=getobjectx(id)
			local y=getobjecty(id)
			terrainexplosion(x,y,35,1)
			createobject(o_supply,x,y-20)
			grey=math.random(0,40)
			if math.random(0,1)==1 then
				terrainalphaimage(gfx_crater100,x,y,math.random(6,9)*0.1,grey,grey,grey)
			else
				terrainalphaimage(gfx_crater125,x,y,math.random(6,9)*0.1,grey,grey,grey)
			end
			removeobject(id)
			arealdamage(x,y,65,35)
		end
	end
end
